ECC ssl证书导致安卓4.4无法连接不兼容

  • ECC ssl证书导致安卓4.4无法连接不兼容已关闭评论
  • 135
  • A+
所属分类:linux问题解决

现象: 线上安卓版本4.4出现无法连接app,提示tls1.2无法连接

         报错SSL handshake aborted
但是测试环境正常:
后来检测发现测试环境ssl证书申请用的RSA证书,而线上用的ECC证书
分析:ECC对比RSA性能高,但是兼容性差点

解决办法 :从新申请了线上环境CA证书,替换原来证书。然后nginx reload从新载入

ECC ssl证书导致安卓4.4无法连接不兼容

  • 我的微信
  • 这是我的微信扫一扫
  • weinxin
  • 我的微信公众号
  • 我的微信公众号扫一扫
  • weinxin
admin